# ModuleDependencySpecBuilder

@Incubating
interface ModuleDependencySpecBuilder : DependencySpecBuilder

A builder of a ModuleDependencySpec.

## Functions

build
Link copied to clipboard
abstract fun build(): DependencySpec
group
Link copied to clipboard
abstract fun group(name: String): ModuleDependencySpecBuilder
Narrows this dependency specification down to a specific group.
module
Link copied to clipboard
abstract fun module(name: String): ModuleDependencySpecBuilder
Narrows this dependency specification down to a specific module.
version
Link copied to clipboard
abstract fun version(range: String): ModuleDependencySpecBuilder
Narrows this dependency specification down to a specific version range.